FREEFOAM-STITCHMESH(1)

NAME
freefoam-stitchMesh - 'Stitches' a mesh.

SYNOPSIS

freefoam stitchMesh <masterPatch> <slavePatch> [-perfect] [-partial] [-srcDoc] [-doc] [-overwrite] [-help] [-case <dir>]

DESCRIPTION

Takes a mesh and two patches and merges the faces on the two patches (if geometrically possible) so the faces become internal.

Can do - perfect match: faces and points on patches align exactly. Order might be different though. - integral match: where the surfaces on both patches exactly match but the individual faces not - partial match: where the non-overlapping part of the surface remains in the respective patch.

OPTIONS

<masterPatch>
    TODO Detailed description of argument.

<slavePatch>
    TODO Detailed description of argument.

-perfect
    The patches, vertices and face centres are perfectly aligned.

-partial
    The surface overlap only partialy.

-overwrite
    Overwrite existing data.

-case <dir>
    Case directory.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

NOTE

Is just a front-end to perfectInterface/slidingInterface.

Comparable to running a meshModifier of the form (if masterPatch is called "M" and slavePatch "S"):

couple { type slidingInterface; masterFaceZoneName MSMasterZone slaveFaceZoneName MSSlaveZone cutPointZoneName MSCutPointZone cutFaceZoneName MSCutFaceZone masterPatchName M; slavePatchName S; typeOfMatch partial or integral }

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.